> ## Documentation Index
> Fetch the complete documentation index at: https://agent-observability-docs.splunk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Package Policy Notices

> The package-policy notices of the caller's code metrics, or of the organization's for an org admin.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/scorers/package-policy-notices
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/scorers/package-policy-notices:
    get:
      tags:
        - data
        - prompts
        - rows
      summary: Get Package Policy Notices
      description: >-
        The package-policy notices of the caller's code metrics, or of the
        organization's for an org admin.
      operationId: get_package_policy_notices_v2_scorers_package_policy_notices_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CodeMetricPolicyNoticesResponse'
      security:
        - APIKeyHeader: []
        - ClassicAPIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    CodeMetricPolicyNoticesResponse:
      properties:
        notices:
          items:
            $ref: '#/components/schemas/CodeMetricPolicyStatus'
          type: array
          title: Notices
        total:
          type: integer
          title: Total
      type: object
      required:
        - notices
        - total
      title: CodeMetricPolicyNoticesResponse
    CodeMetricPolicyStatus:
      properties:
        scorer_id:
          type: string
          format: uuid4
          title: Scorer Id
        scorer_name:
          type: string
          title: Scorer Name
        scorer_version_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Scorer Version Id
        state:
          $ref: '#/components/schemas/CodeMetricPolicyState'
        message:
          type: string
          title: Message
        packages:
          items:
            $ref: '#/components/schemas/PolicyPackageNotice'
          type: array
          title: Packages
      type: object
      required:
        - scorer_id
        - scorer_name
        - scorer_version_id
        - state
        - message
        - packages
      title: CodeMetricPolicyStatus
      description: The package-policy state of one code metric's default version.
    CodeMetricPolicyState:
      type: string
      enum:
        - blocked
        - save_again
        - end_of_life_soon
      title: CodeMetricPolicyState
    PolicyPackageNotice:
      properties:
        package:
          type: string
          title: Package
        version:
          type: string
          title: Version
        reason:
          $ref: '#/components/schemas/ViolationReason'
        advisory_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Advisory Id
        blocked_from:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Blocked From
      type: object
      required:
        - package
        - version
        - reason
        - advisory_id
        - blocked_from
      title: PolicyPackageNotice
    ViolationReason:
      type: string
      enum:
        - not_allowed
        - advisory
        - end_of_life
        - yanked
        - security_decision
      title: ViolationReason
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Splunk-AO-API-Key
    ClassicAPIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.